//--------------------------------------------
#ifndef Experiment03H
#define Experiment03H
//--------------------------------------------
#include "Experiment.h"                       
#include "GLGeometryViewer.h"
//--------------------------------------------

class Experiment03 : public Experiment
{
  GEOX_CLASS(Experiment03)

 private:
	// displaying class
	GLGeometryViewer* viewer;
	
	// allows to access the points after adding them
	std::vector<int> controlPointHandles;

 public:
	// constructor
   Experiment03();

   // specifies the displaying class      
	virtual QWidget* createViewer();

	// draws exactly one octagon, removes earlier ones if they exist
	// contains 8 points and 8 lines
	void drawOctagon();

	// sets and resets the positions of the current vertices
	void resetPositions();
};                      
                        

                                               
#endif                                         
