//---------------------------------------------  
#include "stdafx.h"                             
//--------------------------------------------- 
#include "Experiment02.h"                  
//--------------------------------------------- 
#include "Properties.h"                         
#include "GeoXOutput.h"
#include "Random.h"
//--------------------------------------------- 
                                                
                                                
IMPLEMENT_GEOX_CLASS( Experiment02 ,0 )
{                                               
   BEGIN_CLASS_INIT( Experiment02 );       

	// add variable field to GUI
   ADD_INT32_PROP( numberOfPoints, 0 )

	// add function button to GUI
   ADD_NOARGS_METHOD(Experiment02::addPoints)
}

Experiment02::Experiment02()
{
   numberOfPoints = 10;
	viewer = NULL;
}

QWidget* Experiment02::createViewer()
{
	viewer = new GLGeometryViewer();
	return viewer;
}

void Experiment02::addPoints()
{
	for(int i = 0; i < numberOfPoints; i++)
	{
		Point2D p;
		p.position[0] = -5.0f + rnd01()*10.0f;
		p.position[1] = -5.0f + rnd01()*10.0f;
		p.color       = makeVector4f(rnd01(),rnd01(),rnd01(),1.0f);
		viewer->addPoint(p);
	}
	viewer->refresh();
}
